{
  "parent": "minecraft:item/handheld_rod",
  "textures": {
    "layer0": "minecraft:item/warped_fungus_on_a_stick"
  },
  "overrides": [
		{ "predicate": { "custom_model_data":1 },"model": "minecraft:item/reloading" },
		{ "predicate": { "custom_model_data":2 },"model": "minecraft:item/inventorynone" },
		{ "predicate": { "custom_model_data":3 },"model": "minecraft:item/smoke" },
		{ "predicate": { "custom_model_data":4 },"model": "minecraft:item/normal_bullet" },
		{ "predicate": { "custom_model_data":5 },"model": "minecraft:item/light_bullet" },
		{ "predicate": { "custom_model_data":6 },"model": "minecraft:item/worldborder" },
		{ "predicate": { "custom_model_data":7 },"model": "minecraft:item/interphone" },
		{ "predicate": { "custom_model_data":101 },"model": "minecraft:item/enchantedbook_protection" },
		{ "predicate": { "custom_model_data":102 },"model": "minecraft:item/enchantedbook_blast_protection" },
		{ "predicate": { "custom_model_data":103 },"model": "minecraft:item/enchantedbook_fire_protection" },
		{ "predicate": { "custom_model_data":201 },"model": "minecraft:item/geelysuit_plain" },
		{ "predicate": { "custom_model_data":202 },"model": "minecraft:item/geelysuit_desert" },
		{ "predicate": { "custom_model_data":203 },"model": "minecraft:item/geelysuit_jungle" },
		{ "predicate": { "custom_model_data":204 },"model": "minecraft:item/geelysuit_snowland" },
		{ "predicate": { "custom_model_data":205 },"model": "minecraft:item/geelysuit_acacia" },
		{ "predicate": { "custom_model_data":206 },"model": "minecraft:item/geelysuit_volcano" },
		{ "predicate": { "custom_model_data":207 },"model": "minecraft:item/geelysuit_taiga" },
		{ "predicate": { "custom_model_data":301 },"model": "minecraft:meds/bandage/bandage" },
		{ "predicate": { "custom_model_data":302 },"model": "minecraft:meds/bandage/bandagea0" },
		{ "predicate": { "custom_model_data":303 },"model": "minecraft:meds/bandage/bandagea1" },
		{ "predicate": { "custom_model_data":304 },"model": "minecraft:meds/bandage/bandagea2" },
		{ "predicate": { "custom_model_data":305 },"model": "minecraft:meds/bandage/bandagea3" },
		{ "predicate": { "custom_model_data":306 },"model": "minecraft:meds/bandage/bandagea4" },
		{ "predicate": { "custom_model_data":307 },"model": "minecraft:meds/bandage/bandagea5" },
		{ "predicate": { "custom_model_data":308 },"model": "minecraft:meds/bandage/bandagea6" },
		{ "predicate": { "custom_model_data":309 },"model": "minecraft:meds/bandage/bandagea7" },
		{ "predicate": { "custom_model_data":401 },"model": "minecraft:meds/first_aid/first_aid" },
		{ "predicate": { "custom_model_data":402 },"model": "minecraft:meds/first_aid/first_aida0" },
		{ "predicate": { "custom_model_data":403 },"model": "minecraft:meds/first_aid/first_aida1" },
		{ "predicate": { "custom_model_data":404 },"model": "minecraft:meds/first_aid/first_aida2" },
		{ "predicate": { "custom_model_data":405 },"model": "minecraft:meds/first_aid/first_aida3" },
		{ "predicate": { "custom_model_data":406 },"model": "minecraft:meds/first_aid/first_aida4" },
		{ "predicate": { "custom_model_data":407 },"model": "minecraft:meds/first_aid/first_aida5" },
		{ "predicate": { "custom_model_data":408 },"model": "minecraft:meds/first_aid/first_aida6" },
		{ "predicate": { "custom_model_data":409 },"model": "minecraft:meds/first_aid/first_aida7" },
		{ "predicate": { "custom_model_data":410 },"model": "minecraft:meds/first_aid/first_aida8" },
		{ "predicate": { "custom_model_data":411 },"model": "minecraft:meds/first_aid/first_aida9" },
		{ "predicate": { "custom_model_data":412 },"model": "minecraft:meds/first_aid/first_aida10" },
		{ "predicate": { "custom_model_data":501 },"model": "minecraft:meds/med/med" },
		{ "predicate": { "custom_model_data":502 },"model": "minecraft:meds/med/meda0" },
		{ "predicate": { "custom_model_data":503 },"model": "minecraft:meds/med/meda1" },
		{ "predicate": { "custom_model_data":504 },"model": "minecraft:meds/med/meda2" },
		{ "predicate": { "custom_model_data":505 },"model": "minecraft:meds/med/meda3" },
		{ "predicate": { "custom_model_data":506 },"model": "minecraft:meds/med/meda4" },
		{ "predicate": { "custom_model_data":507 },"model": "minecraft:meds/med/meda5" },
		{ "predicate": { "custom_model_data":508 },"model": "minecraft:meds/med/meda6" },
		{ "predicate": { "custom_model_data":509 },"model": "minecraft:meds/med/meda7" },
		{ "predicate": { "custom_model_data":510 },"model": "minecraft:meds/med/meda8" },
		{ "predicate": { "custom_model_data":511 },"model": "minecraft:meds/med/meda9" },
		{ "predicate": { "custom_model_data":601 },"model": "minecraft:meds/energy_drink/energy_drink" },
		{ "predicate": { "custom_model_data":602 },"model": "minecraft:meds/energy_drink/energy_drinka0" },
		{ "predicate": { "custom_model_data":603 },"model": "minecraft:meds/energy_drink/energy_drinka1" },
		{ "predicate": { "custom_model_data":604 },"model": "minecraft:meds/energy_drink/energy_drinka2" },
		{ "predicate": { "custom_model_data":605 },"model": "minecraft:meds/energy_drink/energy_drinka3" },
		{ "predicate": { "custom_model_data":606 },"model": "minecraft:meds/energy_drink/energy_drinka4" },
		{ "predicate": { "custom_model_data":607 },"model": "minecraft:meds/energy_drink/energy_drinka5" },
		{ "predicate": { "custom_model_data":701 },"model": "minecraft:meds/painkiller/painkiller" },
		{ "predicate": { "custom_model_data":702 },"model": "minecraft:meds/painkiller/painkillera0" },
		{ "predicate": { "custom_model_data":703 },"model": "minecraft:meds/painkiller/painkillera1" },
		{ "predicate": { "custom_model_data":704 },"model": "minecraft:meds/painkiller/painkillera2" },
		{ "predicate": { "custom_model_data":705 },"model": "minecraft:meds/painkiller/painkillera3" },
		{ "predicate": { "custom_model_data":706 },"model": "minecraft:meds/painkiller/painkillera4" },
		{ "predicate": { "custom_model_data":707 },"model": "minecraft:meds/painkiller/painkillera5" },
		{ "predicate": { "custom_model_data":708 },"model": "minecraft:meds/painkiller/painkillera6" },
		{ "predicate": { "custom_model_data":709 },"model": "minecraft:meds/painkiller/painkillera7" },
		{ "predicate": { "custom_model_data":710 },"model": "minecraft:meds/painkiller/painkillera8" },
		{ "predicate": { "custom_model_data":711 },"model": "minecraft:meds/painkiller/painkillera9" },
		{ "predicate": { "custom_model_data":712 },"model": "minecraft:meds/painkiller/painkillera10" },
		{ "predicate": { "custom_model_data":801 },"model": "minecraft:meds/adrenaline/adrenaline" },
		{ "predicate": { "custom_model_data":802 },"model": "minecraft:meds/adrenaline/adrenalinea0" },
		{ "predicate": { "custom_model_data":803 },"model": "minecraft:meds/adrenaline/adrenalinea1" },
		{ "predicate": { "custom_model_data":804 },"model": "minecraft:meds/adrenaline/adrenalinea2" },
		{ "predicate": { "custom_model_data":805 },"model": "minecraft:meds/adrenaline/adrenalinea3" },
		{ "predicate": { "custom_model_data":806 },"model": "minecraft:meds/adrenaline/adrenalinea4" },
		{ "predicate": { "custom_model_data":807 },"model": "minecraft:meds/adrenaline/adrenalinea5" },
		{ "predicate": { "custom_model_data":808 },"model": "minecraft:meds/adrenaline/adrenalinea6" },
		{ "predicate": { "custom_model_data":809 },"model": "minecraft:meds/adrenaline/adrenalinea7" },
		{ "predicate": { "custom_model_data":810 },"model": "minecraft:meds/adrenaline/adrenalinea8" },
		{ "predicate": { "custom_model_data":901 },"model": "minecraft:meds/emt/emt" },
		{ "predicate": {"custom_model_data":1001 },"model": "gunmodels/akm"},
		{ "predicate": {"custom_model_data":2001 },"model": "gunmodels/ace32"},
		{ "predicate": {"custom_model_data":3001 },"model": "gunmodels/dp28"},
		{ "predicate": {"custom_model_data":4001 },"model": "gunmodels/groza"},
		{ "predicate": {"custom_model_data":5001 },"model": "gunmodels/kar98k"},
		{ "predicate": {"custom_model_data":6001 },"model": "gunmodels/m24"},
		{ "predicate": {"custom_model_data":7001 },"model": "gunmodels/m762"},
		{ "predicate": {"custom_model_data":8001 },"model": "gunmodels/mg3"},
		{ "predicate": {"custom_model_data":9001 },"model": "gunmodels/mk14"},
		{ "predicate": {"custom_model_data":10001 },"model": "gunmodels/mk47"},
		{ "predicate": {"custom_model_data":11001 },"model": "gunmodels/mosinagan"},
		{ "predicate": {"custom_model_data":12001 },"model": "gunmodels/r1895"},
		{ "predicate": {"custom_model_data":13001 },"model": "gunmodels/sks"},
		{ "predicate": {"custom_model_data":14001 },"model": "gunmodels/slr"},
		{ "predicate": {"custom_model_data":15001 },"model": "gunmodels/svd"},
		{ "predicate": {"custom_model_data":20001 },"model": "gunmodels/aug"},
		{ "predicate": {"custom_model_data":21001 },"model": "gunmodels/g36c"},
		{ "predicate": {"custom_model_data":22001 },"model": "gunmodels/k2"},
		{ "predicate": {"custom_model_data":23001 },"model": "gunmodels/m16a4"},
		{ "predicate": {"custom_model_data":24001 },"model": "gunmodels/m249"},
		{ "predicate": {"custom_model_data":25001 },"model": "gunmodels/m416"},
		{ "predicate": {"custom_model_data":26001 },"model": "gunmodels/mini14"},
		{ "predicate": {"custom_model_data":27001 },"model": "gunmodels/mk12"},
		{ "predicate": {"custom_model_data":28001 },"model": "gunmodels/qbu"},
		{ "predicate": {"custom_model_data":29001 },"model": "gunmodels/qbz"},
		{ "predicate": {"custom_model_data":30001 },"model": "gunmodels/scar-l"},
		{ "predicate": {"custom_model_data":31001 },"model": "gunmodels/famas"},
		{ "predicate": {"custom_model_data":41001 },"model": "gunmodels/deagle"},
		{ "predicate": {"custom_model_data":42001 },"model": "gunmodels/p911"},
		{ "predicate": {"custom_model_data":43001 },"model": "gunmodels/tommy_gun"},
		{ "predicate": {"custom_model_data":44001 },"model": "gunmodels/ump45"},
		{ "predicate": {"custom_model_data":45001 },"model": "gunmodels/win94"},
		{ "predicate": {"custom_model_data":51001 },"model": "gunmodels/p18c"},
		{ "predicate": {"custom_model_data":52001 },"model": "gunmodels/p92"},
		{ "predicate": {"custom_model_data":53001 },"model": "gunmodels/pp-19"},
		{ "predicate": {"custom_model_data":54001 },"model": "gunmodels/uzi"},
		{ "predicate": {"custom_model_data":55001 },"model": "gunmodels/vector"},
		{ "predicate": {"custom_model_data":56001 },"model": "gunmodels/vss"},
		{ "predicate": {"custom_model_data":57001 },"model": "gunmodels/mp9"},
		{ "predicate": {"custom_model_data":61001 },"model": "gunmodels/dbs"},
		{ "predicate": {"custom_model_data":62001 },"model": "gunmodels/handshot"},
		{ "predicate": {"custom_model_data":63001 },"model": "gunmodels/s12k"},
		{ "predicate": {"custom_model_data":64001 },"model": "gunmodels/s686"},
		{ "predicate": {"custom_model_data":65001 },"model": "gunmodels/s1897"},
		{ "predicate": {"custom_model_data":71001 },"model": "gunmodels/amr"},
		{ "predicate": {"custom_model_data":72001 },"model": "gunmodels/awm"},
		{ "predicate": {"custom_model_data":73001 },"model": "gunmodels/crossbow"},
		{ "predicate": {"custom_model_data":74001 },"model": "gunmodels/m79"},
		{ "predicate": {"custom_model_data":75001 },"model": "gunmodels/origin12"},
		{ "predicate": {"custom_model_data":76001 },"model": "gunmodels/p90"},
		{ "predicate": {"custom_model_data":77001 },"model": "gunmodels/xhq"},
		{ "predicate": {"custom_model_data":79001 },"model": "gunmodels/stungun"},
		{ "predicate": {"custom_model_data":99001 },"model": "minecraft:item/fragment_grenade"},
		{ "predicate": {"custom_model_data":99002 },"model": "minecraft:item/fragment_grenade_on"},
		{ "predicate": {"custom_model_data":99003 },"model": "minecraft:item/smoke_grenade"},
		{ "predicate": {"custom_model_data":99004 },"model": "minecraft:item/decoy_grenade"},
		{ "predicate": {"custom_model_data":99005 },"model": "minecraft:item/molotov"},
		{ "predicate": {"custom_model_data":99006 },"model": "minecraft:item/c4"},
		{ "predicate": {"custom_model_data":99007 },"model": "minecraft:item/stifling_grenade"},
		{ "predicate": {"custom_model_data":99008 },"model": "minecraft:item/poison_gas_grenade"},
		{ "predicate": {"custom_model_data":99009 },"model": "minecraft:item/stunflash"},
		{ "predicate": {"custom_model_data":99010 },"model": "minecraft:item/key"},
		{ "predicate": {"custom_model_data":99011 },"model": "minecraft:item/fluorescent"},
		{ "predicate": {"custom_model_data":99012 },"model": "minecraft:item/stickyboom"},
		{ "predicate": {"custom_model_data":99101 },"model": "vehicles/electrocar"},
		{ "predicate": {"custom_model_data":99102 },"model": "vehicles/motor"},
		{ "predicate": {"custom_model_data":99201 },"model": "minecraft:item/system/panel"},
		{ "predicate": {"custom_model_data":99301 },"model": "tqhjt/tqhjt"},
		{ "predicate": {"custom_model_data":99302 },"model": "tqhjt/tqhjt0"},
		{ "predicate": {"custom_model_data":99303 },"model": "tqhjt/tqhjt1"},
		{ "predicate": {"custom_model_data":99304 },"model": "tqhjt/tqhjt2"},
		{ "predicate": {"custom_model_data":99305 },"model": "tqhjt/tqhjtt"},
		{ "predicate": {"custom_model_data":99401 },"model": "minecraft:item/bulletproof_shield"},
		{ "predicate": {"custom_model_data":99402 },"model": "minecraft:item/bulletproof_shield1"},
		{ "predicate": {"custom_model_data":99403 },"model": "minecraft:item/bulletproof_shield2"},
		{ "predicate": {"custom_model_data":99404 },"model": "minecraft:item/bulletproof_shield3"},
		{ "predicate": {"custom_model_data":99405 },"model": "minecraft:item/bulletproof_shield4"},
		{ "predicate": {"custom_model_data":99501 },"model": "minecraft:item/airdrop"},
		{ "predicate": {"custom_model_data":99502 },"model": "minecraft:item/landed_airdrop"},
		{ "predicate": {"custom_model_data":99503 },"model": "minecraft:item/superairdrop"},
		{ "predicate": {"custom_model_data":99504 },"model": "minecraft:item/landed_superairdrop"},
		{ "predicate": {"custom_model_data":99601 },"model": "minecraft:mortar/mortar"},
		{ "predicate": {"custom_model_data":99602 },"model": "minecraft:mortar/mortarboom"},
		{ "predicate": {"custom_model_data":99603 },"model": "minecraft:mortar/landed_mortar_part0"},
		{ "predicate": {"custom_model_data":99604 },"model": "minecraft:mortar/landed_mortar_part1"},
		{ "predicate": {"custom_model_data":99605 },"model": "minecraft:mortar/landed_mortar_part2"},
		{ "predicate": {"custom_model_data":99999 },"model": "player/playerbody"},
		{ "predicate": {"custom_model_data":114513 },"model": "ikun/ikun0000"},
		{ "predicate": {"custom_model_data":114514 },"model": "ikun/ikun0000s"}
	]
}